#include <Ewl.h>
#include <stdio.h>

void window_keyup(Ewl_Widget *w, void *e, void *d)
{
	int width  = ewl_object_current_w_get(EWL_OBJECT(w));
	int height = ewl_object_current_h_get(EWL_OBJECT(w));
	printf("Resizing from (%d, %d)\n", width, height);
	ewl_object_size_request(EWL_OBJECT(w), width + 50, height + 50);
}

int main(int argc, char **argv)
{
	ewl_init(&argc, argv);
	Ewl_Widget *win = ewl_window_new();
	ewl_callback_append(win, EWL_CALLBACK_KEY_UP, window_keyup, NULL);
	ewl_object_size_request(EWL_OBJECT(win), 400, 300);
	ewl_widget_show(win);
	ewl_main();
}
